# String Module

A Drupal module for managing and translating strings.

## Documentation

For detailed documentation, please visit our [documentation site](docs/).

### Quick Links

- [Installation Guide](docs/user-guide/installation.md)
- [Basic Usage](docs/user-guide/basic-usage.md)
- [Contributing Guide](docs/contributing/how-to-contribute.md)

## Support

- [Issue Queue](https://www.drupal.org/project/issues/string)
- [Drupal Slack](https://www.drupal.org/slack)

# String

Provides a developer friendly way for managing strings in your project.
Instead of hard-coding the actual string all over your codebase, this
module enables you to add some unique string identifiers.

## Sample usage

| Current (Core) | String |
|---|---|
| `t('Dashboard')` | `t('dashboard.title')`
| `t('My Dashboard')` | `t('user_dashboard.title')`
| `t('Welcome @name!', ['@name' => $name])` | 
  `t('dashboard.welcome_message.title', ['@name' => $name])`
| `format_plural($count, '1 item', '@count items')` | 
  `format_plural($count, 'search_result.item_count', 'search_result.item_count')`
